

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/sched.h |   16 ++++++++--------
 kernel/sched.c                |    0 
 2 files changed, 8 insertions(+), 8 deletions(-)

diff -puN include/linux/sched.h~schedstats-2-up-build-fix include/linux/sched.h
--- 25/include/linux/sched.h~schedstats-2-up-build-fix	2004-08-05 01:56:06.671444000 -0700
+++ 25-akpm/include/linux/sched.h	2004-08-05 02:03:22.329213952 -0700
@@ -590,6 +590,14 @@ do { if (atomic_dec_and_test(&(tsk)->usa
 #define PF_LESS_THROTTLE 0x00100000	/* Throttle me less: I clean memory */
 #define PF_SYNCWRITE	0x00200000	/* I am doing a sync write */
 
+enum idle_type
+{
+	IT_IDLE,
+	IT_NOT_IDLE,
+	IT_NEWLY_IDLE,
+	IT_MAX_IDLE_TYPES
+};
+
 #ifdef CONFIG_SMP
 #define SCHED_LOAD_SCALE	128UL	/* increase resolution of load */
 
@@ -600,14 +608,6 @@ do { if (atomic_dec_and_test(&(tsk)->usa
 #define SD_WAKE_BALANCE		16	/* Perform balancing at task wakeup */
 #define SD_SHARE_CPUPOWER	32	/* Domain members share cpu power */
 
-enum idle_type
-{
-	IT_IDLE,
-	IT_NOT_IDLE,
-	IT_NEWLY_IDLE,
-	IT_MAX_IDLE_TYPES
-};
-
 struct sched_group {
 	struct sched_group *next;	/* Must be a circular list */
 	cpumask_t cpumask;
diff -puN kernel/sched.c~schedstats-2-up-build-fix kernel/sched.c
_
